Subject: bug#38495: Emacs ignores ~/.Xdefaults and ~/.Xdefaults-hostname

From: Andrea Cardaci <[email-masked]>
Date: Thu, 5 Dec 2019 12:39:34 +0100

On Thu, 5 Dec 2019 at 08:51, Colin Baxter <[email-masked]> wrote:
> Today's pull from master reads my ~/.Xdefaults satisfactorily.

Hi Colin,

The only way here is to put my file in ~/.Xdefaults/hostname.
According to strace, the .Xdefault file (no -hostname suffix) is never
read. Could you try with strace too?

I suspect that you have loaded that file with xrdb -load so Emacs uses
the database and not the actual file.